org.yaml.snakeyaml

## Enum DumperOptions.ScalarStyle

- java.lang.Object
- - java.lang.Enum<DumperOptions.ScalarStyle>
  - - org.yaml.snakeyaml.DumperOptions.ScalarStyle

All Implemented Interfaces:
  Serializable, Comparable<DumperOptions.ScalarStyle>

Enclosing class:
  DumperOptions

    public static enum DumperOptions.ScalarStyle
    extends Enum<DumperOptions.ScalarStyle>

YAML provides a rich set of scalar styles. Block scalar styles include the literal style and the folded style; flow scalar styles include the plain style and two quoted styles, the single-quoted style and the double-quoted style. These styles offer a range of trade-offs between expressive power and readability.

See Also:
  Chapter 9. Scalar Styles, 2.3. Scalars

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DOUBLE_QUOTED`
`FOLDED`
`LITERAL`
`PLAIN`
`SINGLE_QUOTED`

### Method Summary

Methods
`static DumperOptions.ScalarStyle` `createStyle(Character style)`
`Character` `getChar()`
`String` `toString()`
`static DumperOptions.ScalarStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DumperOptions.ScalarStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DOUBLE_QUOTED

    public static final DumperOptions.ScalarStyle DOUBLE_QUOTED

#### SINGLE_QUOTED

    public static final DumperOptions.ScalarStyle SINGLE_QUOTED

#### LITERAL

    public static final DumperOptions.ScalarStyle LITERAL

#### FOLDED

    public static final DumperOptions.ScalarStyle FOLDED

#### PLAIN

    public static final DumperOptions.ScalarStyle PLAIN

### Method Detail

#### values

    public static DumperOptions.ScalarStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DumperOptions.ScalarStyle c : DumperOptions.ScalarStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DumperOptions.ScalarStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getChar

    public Character getChar()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<DumperOptions.ScalarStyle>`

#### createStyle

    public static DumperOptions.ScalarStyle createStyle(Character style)